# Bakery::AppInstanceManager Class Reference

Contains a list of App instances. More...

`#include <AppInstanceManager.h>`

Inheritance diagram for Bakery::AppInstanceManager:

[legend]

List of all members.

## Public Types

typedef std::list< App * > | type_listAppInstances

## Public Member Functions

| AppInstanceManager ()
virtual | ~AppInstanceManager ()
virtual void | add_app (App *pApp)
virtual void | close_all ()
virtual void | cancel_close_all ()
virtual unsigned int | get_app_count () const
virtual type_listAppInstances | get_instances () const

## Protected Member Functions

virtual void | on_app_hide (App *pApp)

## Protected Attributes

type_listAppInstances | m_listAppInstances
bool | m_bExiting

## Detailed Description

Contains a list of App instances.

Each App registers itself with the one AppInstanceManager, and the AppInstanceManager will then delete the App when it has been closed, by catching the "hide" signal. You should not need to use this class directly.

## Member Typedef Documentation

typedef std::list<App*> Bakery::AppInstanceManager::type_listAppInstances

## Constructor & Destructor Documentation

Bakery::AppInstanceManager::AppInstanceManager | ( |  | ) |

virtual Bakery::AppInstanceManager::~AppInstanceManager | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Bakery::AppInstanceManager::add_app | ( | App * | pApp | ) | `[virtual]`

virtual void Bakery::AppInstanceManager::close_all | ( |  | ) | `[virtual]`

virtual void Bakery::AppInstanceManager::cancel_close_all | ( |  | ) | `[virtual]`

virtual unsigned int Bakery::AppInstanceManager::get_app_count | ( |  | ) | const`[virtual]`

virtual type_listAppInstances Bakery::AppInstanceManager::get_instances | ( |  | ) | const`[virtual]`

virtual void Bakery::AppInstanceManager::on_app_hide | ( | App * | pApp | ) | `[protected, virtual]`

## Member Data Documentation

type_listAppInstances Bakery::AppInstanceManager::m_listAppInstances `[protected]`

bool Bakery::AppInstanceManager::m_bExiting `[protected]`

The documentation for this class was generated from the following file:

- AppInstanceManager.h